### Method

# FwupdPlugin Device incorporate_from_proxy

since: 2.1.2

#### Declaration [src]

    void
    fu_device_incorporate_from_proxy (
      FuDevice* self,
      FuDevice* proxy
    )

#### Description [src]

Copy some properties from the proxy object if they have not already been set.

Available since: 2.1.2

#### Parameters

`proxy`

  Type: `FuDevice`

  Another `FuDevice`.

  The data is owned by the caller of the method.